! programme pour trouver quelle est la plus petite puissance de 2 
! plus  grande qu'une borne (ici 1000)
implicit none 
integer :: i
real :: borne, resultat

borne=1000

! initialisation (2**0)
resultat=1
i=0

! boucle
do while (resultat.lt.borne)
	resultat=resultat*2	
	i=i+1
enddo

write(*,*)'la plus petite puissance de 2 plus grande que ',borne
write(*,*)' est ',i, ' : 2 puissance ',i,' vaut ',resultat

end
